Subject: Compiling DLLs to be used from native Win32 application
From: 3APA3A <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jun 2004 18:56:53 +0400

Dear [email-masked],

 I  saw  this  problem  was raised for few times on list, but do not see
 final   solution.   I  want  to  create  native  Windows  frontend  to
 cygwin-based dynamic library.

 What I did:

 1. I did DLL, it works fine with cygwin application.
 2. If I try to use it from native application it hangs on LoadLibrary.
 3.  I  did  DllMain function with impure_ptr initialization and finally
 compiled  as  described in FAQ.
 4.  Now  DLL loads and simple functions (for example  strcpy()/ctrcat()
 based)  work  OK,  but any "syscall" from DLL to cygwin
 function (for example printf()) causes NULL pointer reference.

 Is subj possible? May be some additional initialization is required?

-- 
http://www.security.nnov.ru
         /\_/\
        { , . }     |\
+--oQQo->{ ^ }<-----+ \
|  ZARAZA  U  3APA3A   } You know my name - look up my number (The Beatles)
+-------------o66o--+ /
                    |/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/